<%= form_for @user do |f| %>
 
  <% if @user.errors.any? %>
    <div id="error_explanation">
      <h2>
        <%= pluralize(@user.errors.count, "error") %> prohibited
        this user from being saved:
      </h2>
      <ul>
        <% @user.errors.full_messages.each do |msg| %>
          <li><%= msg %></li>
        <% end %>
      </ul>
    </div>
  <% end %>
 
  <p>
    <%= f.label :id %><br>
    <%= f.text_field :id %>
  </p>
 
  <p>
    <%= f.label :name %><br>
    <%= f.text_area :name %>
  </p>
 
  <p>
    <%= f.submit %>
  </p>
 
<% end %>